#
# Conditional build:
%bcond_without	apidocs		# API documentation
#
Summary:	Shared library for accessing MS Graph API
Summary(pl.UTF-8):	Biblioteka współdzielona do dostępu do MS Graph API
Name:		msgraph
Version:	0.2.2
Release:	1
License:	LGPL v3+
Group:		Libraries
Source0:	https://download.gnome.org/sources/msgraph/0.2/%{name}-%{version}.tar.xz
# Source0-md5:	cff80470c7a222b6fbe2071ca4a1b199
URL:		https://gitlab.gnome.org/GNOME/msgraph
BuildRequires:	gcc >= 6:4.7
%{?with_apidocs:BuildRequires:	gi-docgen}
BuildRequires:	glib2-devel >= 1:2.28
BuildRequires:	gnome-online-accounts-devel
BuildRequires:	json-glib-devel
BuildRequires:	libsoup3-devel >= 3.0
BuildRequires:	meson >= 0.63.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rest1-devel >= 0.9
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	uhttpmock1-devel >= 0.10.0
BuildRequires:	xz
Requires:	glib2 >= 1:2.28
Requires:	json-glib
Requires:	libsoup3 >= 3.0
Requires:	rest1 >= 0.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libmsgraph is a GLib-based library for accessing online service APIs
using MS Graph protocol.

%description -l pl.UTF-8
libmsgraph to oparta na GLib biblioteka służąca do dostępu do API
usług online wykorzystujących protokół MS Graph.

%package devel
Summary:	Header files for msgraph library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki msgraph
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.28
Requires:	gnome-online-accounts-devel
Requires:	json-glib-devel
Requires:	libsoup3-devel >= 3.0
Requires:	rest1-devel >= 0.9

%description devel
Header files for msgraph library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki msgraph.

%package apidocs
Summary:	API documentation for msgraph library
Summary(pl.UTF-8):	Dokumentacja API biblioteki msgraph
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for msgraph library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki msgraph.

%prep
%setup -q

%build
%meson build \
	%{!?with_apidocs:-Dgtk_doc=false}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%if %{with apidocs}
install -d $RPM_BUILD_ROOT%{_gidocdir}
%{__mv} $RPM_BUILD_ROOT%{_docdir}/msgraph-0 $RPM_BUILD_ROOT%{_gidocdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_libdir}/libmsgraph-0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmsgraph-0.so.1
%{_libdir}/girepository-1.0/Msg-0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmsgraph-0.so
%{_includedir}/msg
%{_datadir}/gir-1.0/Msg-0.gir
%{_pkgconfigdir}/msgraph-0.1.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gidocdir}/msgraph-0
%endif
%changelog
* Wed May 22 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/msgraph.git;a=log;h=master

* Wed May 22 2024 Jakub Bogusz <qboosh@pld-linux.org> 72d64cc
- updated to 0.2.2

* Mon Mar 04 2024 Jakub Bogusz <qboosh@pld-linux.org> 101bd8f
- updated to 0.2.1

* Sat Mar 02 2024 Jakub Bogusz <qboosh@pld-linux.org> b2ce9f3
- new

